/* Navbar styles */
.navbar {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    /* background: rgba(255, 255, 255, 0.95); */ 
    backdrop-filter: blur(10px);
    z-index: 1000;
    transition: all 0.3s ease;
    border-bottom: 10px solid #0e4263;
    background-color: #2ebaa9;
    
}

.nav-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    
}

.logo-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
}

.logo {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    transition: transform 0.3s ease;
}

.logo-icon {
    font-size: 1.75rem;
}

.logo-text {
    font-size: 1.5rem;
    font-weight: 700;
    background: radial-gradient(circle,#0e4263, #114c72 ,#075c72);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.logo-subtitle {
    font-size: 1.2rem;
    color: #114c72 ;
    /* background: radial-gradient(circle,#058688, #2ebaa9 ,#07d0ac); */
    margin-top: 0.25rem;
    position: relative;
    padding-top: 0.5rem;
}

.logo-subtitle::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 1px;
    background: linear-gradient(
        to right,
        transparent,
        var(--primary-color),
        var(--accent-color),
        transparent,
        
    );
    
}


.nav-links {
    display: flex;
    gap: 2rem;
}

.nav-links a {
    color: #0e4263;
    /* size: 20px; */
    text-decoration: none;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: #0e4263;
}


.nav-links {
    display: flex;
    gap: 1rem;
  }
  
  .navbar-toggle {
    display: none; /* Hidden by default */
    cursor: pointer;
    font-size: 1.5rem;
    background: none;
    border: none;
    color: #333;
  }
  
  /* Mobile styles */
  @media screen and (max-width: 768px) {
    .nav-links {
      display: none; /* Hidden initially on smaller screens */
      flex-direction: column;
      gap: 1rem;
      background: #fff;
      position: absolute;
      top: 100%;
      right: 0;
      width: 200px;
      padding: 1rem;
      box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
      z-index: 1000;
    }
  
    .nav-links.active {
      display: flex; /* Show the menu when active */
    }
  
    .navbar-toggle {
      display: block; /* Show toggle button on mobile */
    }
}
  
